## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 18
%bcond_without check
%global debug_package %{nil}

%global crate magic-crypt

Name:           rust-%{crate}
Version:        3.1.8
Release:        %autorelease
Summary:        Library to encrypt/decrpyt strings, files, or data, using DES or AES

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            https://crates.io/crates/magic-crypt
Source:         %{crates_source}
# Initial patched metadata
# * port from aes-soft 0.6 to aes 0.7 with force-soft feature
# * bump block-modes from 0.7 to 0.8
# * bump des from 0.6 to 0.7
#   https://github.com/magiclen/rust-magiccrypt/pull/10
Patch0:         magic-crypt-fix-metadata.diff
Patch1:         0001-port-to-new-RustCrypto-crates.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
MagicCrypt is a Java/PHP/NodeJS/Rust library to encrypt/decrpyt strings, files,
or data, using Data Encryption Standard(DES) or Advanced Encryption
Standard(AES) algorithms. It supports CBC block cipher mode, PKCS5 padding and
64, 128, 192 or 256-bits key length.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Aug 27 2021 Fabio Valentini <decathorpe@gmail.com> 3.1.8-1
- Update to version 3.1.8; Fixes RHBZ#1937629

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Nov 14 2020 Fabio Valentini <decathorpe@gmail.com> - 3.1.6-1
- Update to version 3.1.6.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 3.1.5-1
- Update to version 3.1.5.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 22 2020 Josh Stone <jistone@redhat.com> - 3.1.4-1
- Update to 3.1.4

* Mon Jul 20 2020 Josh Stone <jistone@redhat.com> - 3.1.2-2
- Upgrade to block-modes 0.5

* Wed Jun 24 07:21:29 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.1.2-1
- Update to 3.1.2

* Sun May 31 10:13:38 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.1.1-1
- Update to 3.1.1

* Mon May 25 13:06:10 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 3.0.1-1
- Update to 3.0.1

* Fri May 15 09:24:19 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 3.0.0-1
- Initial package

